Core - Bug # 39989

Status: New Priority: Should have
Author: Marc Bastian Heinrichs Category:

Created: 2012-08-20 Assigned To: Marc Bastian Heinrichs
Updated: 2014-12-14 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: Same form twice in one template: hidden fields for empty values are only rendered once
Description

If you use nearly the same form twice in one template, the hidden fields for empty values are only rendered for the upper form.

In Tx_Fluid_ViewHelpers_Form_AbstractFormFieldViewHelper::renderHiddenFieldForEmptyValue the
Tx_Fluid_ViewHelpers_FormViewHelper is checked and this also contains the $hiddenFieldNames of the upper form.

Related issues:
related to TYPOS.Fluid - Bug # 39990: Same form twice in one template: hidden... New 2012-08-20

History

#1 - 2012-11-16 19:36 - Marc Bastian Heinrichs
- Target version set to 1843

#2 - 2013-01-02 13:37 - Anja Leichsenring

- Project changed from Extbase MVC Framework to Fluid

- Category changed from 959 to Fluid: Core

- Target version deleted (1843)

#3 - 2014-09-11 15:57 - Alexander Opitz

- Status changed from New to Needs Feedback

Hi,

was this issue fixed or does it still exists?

#4 - 2014-12-14 18:15 - Alexander Opitz

- Status changed from Needs Feedback to Closed

No feedback within the last 90 days => closing this issue.

If you think that this is the wrong decision or experience this issue again, then please write to the mailing list typo3.teams.bugs with issue number and

an explanation or open a new ticket and add a relation to this ticket number.

#5 - 2014-12-14 19:23 - Anja Leichsenring
- Project changed from Fluid to Core
- Category deleted (Fluid: Core)

- Status changed from Closed to New

- Assigned To set to Marc Bastian Heinrichs
- TYPO3 Version set to 6.2

- Is Regression set to No

MaBa said he takes care.
